{
    onTryHit(target, source, move) {
      if (target !== source && move.type === "Poison") {
        if (!this.heal(target.baseMaxhp / 4)) {
          this.add("-immune", target, "[from] ability: Poison Absorb");
        }
        return null;
      }
    },
    flags: { breakable: 1 },
    name: "Poison Absorb",
    rating: 3.5,
    num: -32067
}